summarylogtreecommitdiffstats
path: root/elvish.install
diff options
context:
space:
mode:
Diffstat (limited to 'elvish.install')
-rw-r--r--elvish.install5
1 files changed, 3 insertions, 2 deletions
diff --git a/elvish.install b/elvish.install
index 41414644e72c..aeaacf13793d 100644
--- a/elvish.install
+++ b/elvish.install
@@ -1,9 +1,10 @@
post_install() {
- grep -qe '^/usr/bin/elvish$' etc/shells || echo '/usr/bin/elvish' >> etc/shells
+ grep -qe '^/usr/bin/elvish$' etc/shells || echo "/usr/bin/elvish" >> etc/shells
+ grep -qe '^/bin/elvish$' etc/shells || echo "/bin/elvish" >> etc/shells
}
pre_remove() {
- sed -ri '\|^/usr/bin/elvish$|d' etc/shells
+ sed -ri -e '\|^/usr/bin/elvish$|d' -e '\|^/bin/elvish$|d' etc/shells
}
# vim:set ts=2 sw=2 et: